LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
CameraGeometry Struct Referencepublished

specifies a three-dimensional camera. More...

`import"CameraGeometry.idl";`

## Public Attributes
Position3D | vrp
| is the camera position More...
Direction3D | vpn
| is the camera view direction More...
Direction3D | vup
| is the camera up direction More...

## Detailed Description

specifies a three-dimensional camera.

## Member Data Documentation

Direction3D vpn

is the camera view direction

Position3D vrp

is the camera position

Direction3D vup

is the camera up direction

The documentation for this struct was generated from the following file:

- com/sun/star/drawing/CameraGeometry.idl